import { GeneralService } from '../share/generalservice.js'

export class BudgetExpenseService {

  constructor() {
    this.generalService = new GeneralService()
  }

  async getBudgetExpense(database, name) {
    const sql = `
      SELECT 
        trnseq,
        trnprjnam
      FROM ${database}.trnmst
      WHERE trnprjnam = $1
    `
    const params = [name]
    const result = await this.generalService.executeQueryParam(database, sql, params);
    return result
  }
}